%define upstream_name    Module-Mask
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pretend certain modules are not installed
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Sometimes you need to test what happens when a given module is not
installed. This module provides a way of temporarily hiding installed
modules from perl's require mechanism. The Module::Mask object adds itself
to @INC and blocks require calls to restricted modules.

Module::Mask will not affect modules already loaded at time of
instantiation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-3.mga10
+ Revision: 2207289
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-2.mga9
+ Revision: 1815033
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 0.60.0-1.mga9
+ Revision: 1751861
- imported package perl-Module-Mask


* Sat Oct 16 2021 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
